# Set Digital Signature Provider Credentials Sets the customer's digital signature provider credentials. Requires an active digital signature provider to already be configured for the account (see the account providers endpoints). Endpoint: POST /api/v3/digital_signatures/accounts/credentials Version: 3.1.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Request fields (application/json): - `client_id` (string, required) Example: "3b897ad6-cce4-4c54-a7e7-2bd00b83ab85" - `client_secret` (string, required) Example: "ChvH5AUVhLNU" ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (string) Raw error message — not the usual array-of-objects error shape used elsewhere in this API Example: "Couldn't find DsAccountProvider with [WHERE `ds_account_providers`.`account_id` = ?]" ## Response 422 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string) ## Response 503 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string) ## Response 204 fields